<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/expansiondebugobjects.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d35/a01184_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansiondebugobjects.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d35/a01184.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionDebugObjects.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d1e/a04745.html">ExpansionDebugRod</a>: Building</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#acf58534a8a9d015322bc034faff7fbf2">   15</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d1e/a04745.html#acf58534a8a9d015322bc034faff7fbf2">m_Expansion_DebugOriginX</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#a0a972f1e2b95d8ee806414136f6ef8bc">   16</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0a972f1e2b95d8ee806414136f6ef8bc">m_Expansion_DebugOriginY</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#a0c8377816724619cdebc01b212358102">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0c8377816724619cdebc01b212358102">m_Expansion_DebugOriginZ</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">   18</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">   19</a></span>    Shape <a class="code hl_variable" href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">m_Expansion_DebugLine</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#aeea1114230e96e240a31016e50bea4f3">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d1e/a04745.html#aeea1114230e96e240a31016e50bea4f3">ExpansionDebugRod</a>()</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_Expansion_DebugOriginX&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_Expansion_DebugOriginY&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        RegisterNetSyncVariableFloat(<span class="stringliteral">&quot;m_Expansion_DebugOriginZ&quot;</span>, 0, 0, 2);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">#ifndef SERVER</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_class" href="../../d9/df4/a04245.html">ExpansionString</a> es = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/df4/a04245.html">ExpansionString</a>(<a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>());</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (es.<a class="code hl_function" href="../../d9/df4/a04245.html#ab9dbbc6e0a584623fe71196ee0f7819b">EndsWith</a>(<span class="stringliteral">&quot;_Red&quot;</span>))</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a> = 0xFFFF0000;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (es.<a class="code hl_function" href="../../d9/df4/a04245.html#ab9dbbc6e0a584623fe71196ee0f7819b">EndsWith</a>(<span class="stringliteral">&quot;_Orange&quot;</span>))</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a> = 0xFF800000;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (es.<a class="code hl_function" href="../../d9/df4/a04245.html#ab9dbbc6e0a584623fe71196ee0f7819b">EndsWith</a>(<span class="stringliteral">&quot;_Blue&quot;</span>))</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a> = 0xFF0000FF;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (es.<a class="code hl_function" href="../../d9/df4/a04245.html#ab9dbbc6e0a584623fe71196ee0f7819b">EndsWith</a>(<span class="stringliteral">&quot;_Purple&quot;</span>))</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a> = 0xFF8000FF;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a> = 0xFF00FF00;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#ac5d920db0241e1b9a0fb60355111503a">   43</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d1e/a04745.html#ac5d920db0241e1b9a0fb60355111503a">~ExpansionDebugRod</a>()</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#ifndef SERVER</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_enumvalue" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a>.RemoveShape(<a class="code hl_variable" href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">m_Expansion_DebugLine</a>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#a11fcc05f6eb7c79ea5d1708fcfae509a">   50</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d1e/a04745.html#a11fcc05f6eb7c79ea5d1708fcfae509a">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../d4/d1e/a04745.html#ade67b29ab781bae26a3468dd588feeec">Expansion_DrawDebugLine</a>(Vector(<a class="code hl_variable" href="../../d4/d1e/a04745.html#acf58534a8a9d015322bc034faff7fbf2">m_Expansion_DebugOriginX</a>, <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0a972f1e2b95d8ee806414136f6ef8bc">m_Expansion_DebugOriginY</a>, <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0c8377816724619cdebc01b212358102">m_Expansion_DebugOriginZ</a>));</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d4/d1e/a04745.html#ade67b29ab781bae26a3468dd588feeec">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d1e/a04745.html#ade67b29ab781bae26a3468dd588feeec">Expansion_DrawDebugLine</a>(vector origin)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="preprocessor">#ifdef SERVER</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d4/d1e/a04745.html#acf58534a8a9d015322bc034faff7fbf2">m_Expansion_DebugOriginX</a> = origin[0];</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0a972f1e2b95d8ee806414136f6ef8bc">m_Expansion_DebugOriginY</a> = origin[1];</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d4/d1e/a04745.html#a0c8377816724619cdebc01b212358102">m_Expansion_DebugOriginZ</a> = origin[2];</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        SetSynchDirty();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span><span class="preprocessor">#else</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_enumvalue" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a>.RemoveShape(<a class="code hl_variable" href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">m_Expansion_DebugLine</a>);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">m_Expansion_DebugLine</a> = <a class="code hl_enumvalue" href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a>.DrawLine(origin, <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>(), <a class="code hl_variable" href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">m_Expansion_DebugColor</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>}</div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00722_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00045">notificationruntimedata.c:45</a></div></div>
<div class="ttc" id="aa00770_html_a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8"><div class="ttname"><a href="../../d0/d7e/a00770.html#a2f909deb4892593626f98b201415d514ac909e86054cb6ad83c22bfc2b3e6e5b8">Debug</a></div><div class="ttdeci">@ Debug</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d7e/a00770_source.html#l00248">expansionrpc.c:248</a></div></div>
<div class="ttc" id="aa04245_html"><div class="ttname"><a href="../../d9/df4/a04245.html">ExpansionString</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00013">expansionstring.c:14</a></div></div>
<div class="ttc" id="aa04245_html_ab9dbbc6e0a584623fe71196ee0f7819b"><div class="ttname"><a href="../../d9/df4/a04245.html#ab9dbbc6e0a584623fe71196ee0f7819b">ExpansionString::EndsWith</a></div><div class="ttdeci">bool EndsWith(string suffix)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dad/a00806_source.html#l00036">expansionstring.c:36</a></div></div>
<div class="ttc" id="aa04745_html"><div class="ttname"><a href="../../d4/d1e/a04745.html">ExpansionDebugRod</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00013">expansiondebugobjects.c:14</a></div></div>
<div class="ttc" id="aa04745_html_a0a972f1e2b95d8ee806414136f6ef8bc"><div class="ttname"><a href="../../d4/d1e/a04745.html#a0a972f1e2b95d8ee806414136f6ef8bc">ExpansionDebugRod::m_Expansion_DebugOriginY</a></div><div class="ttdeci">float m_Expansion_DebugOriginY</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">expansiondebugobjects.c:16</a></div></div>
<div class="ttc" id="aa04745_html_a0c8377816724619cdebc01b212358102"><div class="ttname"><a href="../../d4/d1e/a04745.html#a0c8377816724619cdebc01b212358102">ExpansionDebugRod::m_Expansion_DebugOriginZ</a></div><div class="ttdeci">float m_Expansion_DebugOriginZ</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00017">expansiondebugobjects.c:17</a></div></div>
<div class="ttc" id="aa04745_html_a11fcc05f6eb7c79ea5d1708fcfae509a"><div class="ttname"><a href="../../d4/d1e/a04745.html#a11fcc05f6eb7c79ea5d1708fcfae509a">ExpansionDebugRod::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00050">expansiondebugobjects.c:50</a></div></div>
<div class="ttc" id="aa04745_html_a49742bea8116bde99d8eb37519b554ba"><div class="ttname"><a href="../../d4/d1e/a04745.html#a49742bea8116bde99d8eb37519b554ba">ExpansionDebugRod::m_Expansion_DebugLine</a></div><div class="ttdeci">Shape m_Expansion_DebugLine</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00019">expansiondebugobjects.c:19</a></div></div>
<div class="ttc" id="aa04745_html_ac5d920db0241e1b9a0fb60355111503a"><div class="ttname"><a href="../../d4/d1e/a04745.html#ac5d920db0241e1b9a0fb60355111503a">ExpansionDebugRod::~ExpansionDebugRod</a></div><div class="ttdeci">void ~ExpansionDebugRod()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00043">expansiondebugobjects.c:43</a></div></div>
<div class="ttc" id="aa04745_html_acf58534a8a9d015322bc034faff7fbf2"><div class="ttname"><a href="../../d4/d1e/a04745.html#acf58534a8a9d015322bc034faff7fbf2">ExpansionDebugRod::m_Expansion_DebugOriginX</a></div><div class="ttdeci">float m_Expansion_DebugOriginX</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00015">expansiondebugobjects.c:15</a></div></div>
<div class="ttc" id="aa04745_html_ade67b29ab781bae26a3468dd588feeec"><div class="ttname"><a href="../../d4/d1e/a04745.html#ade67b29ab781bae26a3468dd588feeec">ExpansionDebugRod::Expansion_DrawDebugLine</a></div><div class="ttdeci">void Expansion_DrawDebugLine(vector origin)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00057">expansiondebugobjects.c:57</a></div></div>
<div class="ttc" id="aa04745_html_aea8ab9cc7abf69c4e6bfa61c25b62b7a"><div class="ttname"><a href="../../d4/d1e/a04745.html#aea8ab9cc7abf69c4e6bfa61c25b62b7a">ExpansionDebugRod::m_Expansion_DebugColor</a></div><div class="ttdeci">int m_Expansion_DebugColor</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00018">expansiondebugobjects.c:18</a></div></div>
<div class="ttc" id="aa04745_html_aeea1114230e96e240a31016e50bea4f3"><div class="ttname"><a href="../../d4/d1e/a04745.html#aeea1114230e96e240a31016e50bea4f3">ExpansionDebugRod::ExpansionDebugRod</a></div><div class="ttdeci">void ExpansionDebugRod()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00021">expansiondebugobjects.c:21</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_e2c1a5451a44a8d1eb29e97861f13030.html">entities</a></li><li class="navelem"><a class="el" href="../../d1/d35/a01184.html">expansiondebugobjects.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
